SynapSynapDocs
Hub REST API

UI

The UI operations of the Hub REST API (1 operation).

For BuildersOpen-source podSynap CloudGenerated from Synap-core/backend@c31e261ab (main)
POST
/ui/focus

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Pod API key (Bearer) issued via /api/hub/setup/agent or pod admin tooling. Browser/web clients may use the X-Session-Token header instead. See GET /api/hub/auth/status to introspect the calling key.

Request Body

application/json
  1. body
surface*

Response Body

Event emitted

application/json
  1. response
ok*true
Value intrue
Example Request
curl -X POST 'https://pod.example.com/api/hub/ui/focus' \  -H 'Content-Type: application/json' \  -d '{  "surface": {    "kind": "cell"  }}'
Example Response
{  "ok": true}